return {
  { 'norcalli/nvim-colorizer.lua',
    config = true,
    keys = { { '<leader>oc', '<Cmd>ColorizerToggle<Cr>' } },
    cmd = 'ColorizerToggle',
  },

  { 'AndrewRadev/linediff.vim',    cmd = 'Linediff' },

  { 'lukas-reineke/indent-blankline.nvim',
    event = 'VeryLazy',
    config = true,
    opts = {
      show_current_context = true,
      show_current_context_start = false,
      filetype_exclude = {
        'OverseerList',
        'OverseerForm',
        'lspinfo',
        'packer',
        'checkhealth',
        'help',
        'man',
        '',
      },
    }, },
  { 'echasnovski/mini.trailspace', version = '*',   config = function() require('mini.trailspace').setup({}) end },

  -- stolen from LazyVim
  {
    'stevearc/dressing.nvim',
    lazy = true,
    init = function()
      ---@diagnostic disable-next-line: duplicate-set-field
      vim.ui.select = function(...)
        require('lazy').load({ plugins = { 'dressing.nvim' } })
        return vim.ui.select(...)
      end
      ---@diagnostic disable-next-line: duplicate-set-field
      vim.ui.input = function(...)
        require('lazy').load({ plugins = { 'dressing.nvim' } })
        return vim.ui.input(...)
      end
    end,
  },

  { 'stevearc/overseer.nvim',
    config = true,
    cmd = {
      'OverseerBuild',
      'OverseerClearCache',
      'OverseerClose',
      'OverseerDeleteBundle',
      'OverseerInfo',
      'OverseerLoadBundle',
      'OverseerOpen',
      'OverseerQuickAction',
      'OverseerRun',
      'OverseerRunCmd',
      'OverseerSaveBundle',
      'OverseerTaskAction',
      'OverseerToggle',
    },
    keys = {
      { '<leader>xx', '<Cmd>OverseerToggle<CR>',     desc = 'Overseer toggle' },
      { '<leader>xi', '<Cmd>OverseerInfo<CR>',       desc = 'Overseer info' },
      { '<leader>xa', '<Cmd>OverseerTaskAction<CR>', desc = 'Overseer action' },
      { '<leader>xr', '<Cmd>OverseerRun<CR>',        desc = 'Overseer run' },
    },
  },


  {
    'numToStr/Comment.nvim',
    config = true,
  },

  'editorconfig/editorconfig-vim',

  {
    'vlada-dudr/vdebug',
    lazy = true,
    enabled = false,
    keys = {
      { '<F5>',  desc = 'Start Vdebug' },
      { '<F10>', desc = 'Vdebug breakpoint' },
    },
  },

  { 'dyng/ctrlsf.vim', cmd = 'CtrlSF' },

  { 'andymass/vim-matchup',
    event = 'BufRead',
    config = function()
      vim.g.matchup_matchparen_offscreen = {}
    end, },

  {
    'echasnovski/mini.surround',
    version = '*',
    event = 'BufEnter',
    config = function()
      require('mini.surround').setup({})
    end,
  },

  { 'echasnovski/mini.statusline',
    enabled = false,
    event = 'VeryLazy',
    version = '*',
    config = function()
      require('mini.statusline').setup({})
    end,
  },

  { 'fpob/nette.vim',  ft = 'nette' },
  { 'ziglang/zig.vim', ft = 'zig' },

  {
    'mfussenegger/nvim-jdtls',
    ft = 'java',
  },

  {
    'folke/trouble.nvim',
    dependencies = { 'nvim-tree/nvim-web-devicons' },
    lazy = true,
    cmd = { 'Trouble', 'TroubleToggle' },
    keys = {
      { '<Leader>tt', '<Cmd>TroubleToggle<CR>',                desc = 'Trouble toggle' },
      { '<Leader>td', '<Cmd>Trouble document_diagnostics<CR>', desc = 'Trouble toggle' },
    },
    config = {
      mode = 'document_diagnostics',
      signs = {
        -- icons / text used for a diagnostic
        error = '',
        warning = '',
        hint = '',
        information = '',
        other = '',
      },

    },
  },

}
